Subject: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 Aug 2020 11:11:48 +0200

Eli Zaretskii <[email-masked]> writes:

>> OK, I've now done some more testing -- I removed my call to
>> display_string, and no mode line is displayed at all, which kinda
>> supports my reading of the code?
>
> I don't want to argue with your reading of the code.  I'm saying that
> the natural way of removing extra spaces is to post-process the glyphs
> produced by display_string directly; anything else is IMO inelegant
> and unnatural.

I just don't understand why -- pre-processing the string is more
efficient and...  normal...  than post-processing the glyphs, surely?
Preparing a string and then calling the display functions is what we do
all over the place.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no